org.appng.taglib

## Class Permission

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.appng.taglib.Permission

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class Permission
      extends javax.servlet.jsp.tagext.TagSupport

  Processes the taglet's body if the current `Subject` has the required `Permission` of the given `Application`.

  Usage:

       <appNG:permission application="foobar" permission="do.something">Do it!</appNG:permission>

  Author:
    Matthias Herlitzius
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doStartTag()`
    `String` | `getApplication()`
    `String` | `getPermission()`
    `protected MultiSiteSupport` | `processMultiSiteSupport(Environment env, javax.servlet.http.HttpServletRequest servletRequest)`
    `void` | `setApplication(String application)`
    `void` | `setPermission(String permission)`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Permission

          public Permission()

  - ### Method Detail

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### getPermission

          public String getPermission()

    - #### setPermission

          public void setPermission(String permission)

    - #### getApplication

          public String getApplication()

    - #### setApplication

          public void setApplication(String application)

    - #### processMultiSiteSupport

          protected MultiSiteSupport processMultiSiteSupport(Environment env,
                                                             javax.servlet.http.HttpServletRequest servletRequest)
                                                      throws javax.servlet.jsp.JspException

      Throws:
        `javax.servlet.jsp.JspException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.